JsDoc Reference - FileSelector

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class FileSelector

Class implementing a file selector used to store information about the currently selected file system object and to process the SELECT APDU
Defined in: FileSelector.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| FileSelector(mf) Create a file selector object

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addAuthenticationState(global, ao) Add authenticated object to the list of authentication states for the local DF or global MF
| enumerateObjects(type) Enumerate objects of a defined type
| getCurrentEF() Returns the current EF, if any
| getMeta(name) Return meta data associated with the current DF or MF
| getObject(type, id) Return object of given type identified by id If bit b8 in the id is 1, then the search will start in the current DF.
| getSecurityEnvironment() Return the current security environment
| isAuthenticated(global, ao) Add authenticated object to the list of authentication states for the local DF or global MF
| processSelectAPDU(apdu) Processes the SELECT APDU Supports in P1 '00' with empty data to select the MF '00' with "3F00" to select the MF '00' with fid to select an entry in the current DF '01' with fid to select a DF in the current DF '02' with fid to select an EF in the current DF '03' with empty data to select the parent Supports in P2 '00' with P1=='00' return no data '04' return FCP '0C' return no data
| selectFID(fid, check, df) Select a DF entry by FID
| selectMF() Select the MF
| selectSFI(sfi) Select a DF entry by SFI
| toString() Return a human readable string for this object

Class Detail
FileSelector(mf)
Create a file selector object

Parameters:
{DF} mf
  the master file

Method Detail
addAuthenticationState(global, ao)
Add authenticated object to the list of authentication states for the local DF or global MF

Parameters:
global
ao

enumerateObjects(type)
Enumerate objects of a defined type

Parameters:
{String} type
  the type of the object

Returns:
  the list of objects found

{EF} getCurrentEF()
Returns the current EF, if any

Returns:
  the current EF or null

{Object} getMeta(name)
Return meta data associated with the current DF or MF

Parameters:
{String} name
  the meta data name

Returns:
  The meta data

getObject(type, id)
Return object of given type identified by id

If bit b8 in the id is 1, then the search will start in the current DF. If the object is not found, the search is continued in the MF. If the bit is not set, then the search will only look into the MF.

Parameters:
{String} type
  the type of the object
{Number} id
  the id, bit b8 indicating local DF or global MF search

Returns:
  the object of the requested type or null if not found

{Object} getSecurityEnvironment()
Return the current security environment

Returns:
  Object with properties VEXK, CDIK, SMRES and SMCOM containing SecurityEnvironment objects

isAuthenticated(global, ao)
Add authenticated object to the list of authentication states for the local DF or global MF

Parameters:
global
ao

processSelectAPDU(apdu)
Processes the SELECT APDU

Supports in P1

- '00' with empty data to select the MF
- '00' with "3F00" to select the MF
- '00' with fid to select an entry in the current DF
- '01' with fid to select a DF in the current DF
- '02' with fid to select an EF in the current DF
- '03' with empty data to select the parent

Supports in P2

- '00' with P1=='00' return no data
- '04' return FCP
- '0C' return no data

Parameters:
{APDU} apdu
  the select APDU

{FSNode} selectFID(fid, check, df)
Select a DF entry by FID

Parameters:
{ByteString} fid
  the file identifier
{boolean} check
  if file matches expected type EF or DF
{boolean} df
  true if the check must check for a DF type, else a EF type

Returns:
  the selected file system node

selectMF()
Select the MF

{FSNode} selectSFI(sfi)
Select a DF entry by SFI

Parameters:
{Number} sfi
  the short file identifier

Returns:
  the selected file system node

toString()
Return a human readable string for this object

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)